Subject: Offline Message from Liz Valbuena: Hello. I buy a Swagtron Hoverboard T580 Tw
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked]
Date: Fri, 05 Aug 2022 00:47:49 -0000

From: Liz Valbuena <[email-masked]>
Phone: 6789339436
Location: Phoenix, United States
URL: https://swagtron.com/
Department: SwagTron

Hello.
I buy a Swagtron Hoverboard T580 Twist Pink, at Brandsmart in Atlanta.  I saw an offer of this product and I buy it for my girl birthday gift..
I buy it on June 16 and save it until July 23 for the birthday. When she start using it.. but after few days, its not working Good, making sound and getting slow.
I need help please. 

----
Zopim
https://www.zopim.com